<script setup lang="ts">
const url = useRequestURL()
const route = useRoute()
const currentUrl = computed(() => url.origin + route.fullPath)
</script>

<template>
  <div class="min-h-screen flex flex-col items-center justify-center gap-8 p-8 dark:bg-dark">
    <NCard class="max-w-screen-sm">
      <template #header>
        <h2 class="text-2xl">
          查無頁面
        </h2>
      </template>

      <p>{{ currentUrl }}</p>

      <template #footer>
        <NuxtLink class="color-n-primary" to="/">
          <i class="i-carbon-arrow-left"></i>
          回首頁
        </NuxtLink>
      </template>
    </NCard>
  </div>
</template>
